//http://192.168.7.2/user/Pruebas/PruebaINA/PruebaINA.html

setTargetAddress(location.host, {
    initialized: run
    }); //Apuntamos a la direccion y ejecutamos en funcion run
  
  
  
  let b = undefined;
  let sumatorio = 0;
  let count = 0;
  let INAPin = "P9_36";
  
  function run(){
    b = myrequire('bonescript'); //libreria Bonescript
  }

  function INARead(){
    b.analogRead(INAPin, Vo);
    setTimeout(INARead, 50);
  }

  function Vo(x){
   if (count == 20){ //20 muestras por seg
    count = 0;
    show(sumatorio);
    sumatorio = 0;
  }else{
    count++;
    sumatorio += x.value*1.8; // 1.8 por ser el voltaje
  }  
  }

  
  function show(sumatorio){  
    let Vo = (sumatorio / 20);
    let Vs;
    let T;


      if (Vo < 0.198) Vs = Vo /32.991452991453;
      if ((Vo >= 0.198)&&(Vo < 0.215)) Vs = Vo/32.8571428571429;
      if ((Vo >= 0.215)&&(Vo < 0.226)) Vs = Vo/32.5925925925926;
      if ((Vo >= 0.226)&&(Vo < 0.240)) Vs = Vo/32.5;
      if ((Vo >= 0.240)&&(Vo < 0.255)) Vs = Vo/32.4183006535948;
      if ((Vo >= 0.255)&&(Vo < 0.266)) Vs = Vo/32.0987654320988;
      if ((Vo >= 0.266)&&(Vo < 0.280)) Vs = Vo/32.046783625731;
      if ((Vo >= 0.280)&&(Vo < 0.305)) Vs = Vo/32.8571428571429;
      if ((Vo >= 0.305)&&(Vo < 0.319)) Vs = Vo/32;
      if ((Vo >= 0.319)&&(Vo < 0.332)) Vs = Vo/31.7460317460317;
      if ((Vo >= 0.332)&&(Vo < 0.345)) Vs = Vo/31,6161616161616;
      if ((Vo >= 0.345)&&(Vo < 0.358)) Vs = Vo/31.4975845410628;
      if ((Vo >= 0.358)&&(Vo < 0.370)) Vs = Vo/31.2962962962963;
      if ((Vo >= 0.370)&&(Vo < 0.385)) Vs = Vo/31.2888888888889;
      if ((Vo >= 0.385)&&(Vo < 0.395)) Vs = Vo/31.1965811965812;
      if ((Vo >= 0.395)&&(Vo < 0.408)) Vs = Vo/31.0288065843621;
      if ((Vo >= 0.408)&&(Vo < 0.420)) Vs = Vo/30.952380952381;
      if ((Vo >= 0.420)&&(Vo < 0.433)) Vs = Vo/30.8045977011494;
      if ((Vo >= 0.433)&&(Vo < 0.445)) Vs = Vo/30.7407407407407;
      if ((Vo >= 0.445)&&(Vo < 0.458)) Vs = Vo/30.6093189964158;
      if ((Vo >= 0.458)&&(Vo < 0.470)) Vs = Vo/30.4861111111111;
      if ((Vo >= 0.470)&&(Vo < 0.483)) Vs = Vo/30.4377104377104;
      if ((Vo >= 0.483)&&(Vo < 0.496)) Vs = Vo/30.3267973856209;
      if ((Vo >= 0.496)&&(Vo < 0.508)) Vs = Vo/30.2857142857143;
      if ((Vo >= 0.508)&&(Vo < 0.520)) Vs = Vo/30.2469135802469;
      if ((Vo >= 0.520)&&(Vo < 0.532)) Vs = Vo/29.97150997151;
      if ((Vo >= 0.532)&&(Vo < 0.544)) Vs = Vo/29.8888888888889;
      if ((Vo >= 0.544)&&(Vo < 0.556)) Vs = Vo/29.810298102981;
      if ((Vo >= 0.556)&&(Vo < 0.568)) Vs = Vo/29.7354497354497;
      if ((Vo >= 0.568)&&(Vo < 0.580)) Vs = Vo/29.6640826873385;
      if ((Vo >= 0.580)&&(Vo < 0.590)) Vs = Vo/29.5454545454545;
      if ((Vo >= 0.590)&&(Vo < 0.602)) Vs = Vo/29.4320987654321;
      if ((Vo >= 0.602)&&(Vo < 0.615)) Vs = Vo/29.4202898550725;
      if ((Vo >= 0.615)&&(Vo < 0.626)) Vs = Vo/29.3617021276596;
      if ((Vo >= 0.626)&&(Vo < 0.639)) Vs = Vo/29.3055555555556;
      if ((Vo >= 0.639)&&(Vo < 0.652)) Vs = Vo/29.297052154195;
      if ((Vo >= 0.652)&&(Vo < 0.662)) Vs = Vo/29.2;
      if ((Vo >= 0.662)&&(Vo < 0.675)) Vs = Vo/29.0631808278867;
      if ((Vo >= 0.675)&&(Vo < 0.698)) Vs = Vo/29.0146750524109;
      if ((Vo >= 0.698)&&(Vo < 0.708)) Vs = Vo/28.9300411522634;
      if ((Vo >= 0.708)&&(Vo < 0.722)) Vs = Vo/28.8888888888889;
      if ((Vo >= 0.722)&&(Vo < 0.733)) Vs = Vo/28.8492063492064;
      if ((Vo >= 0.733)&&(Vo < 0.745)) Vs = Vo/28.8109161793372;
      if ((Vo >= 0.745)&&(Vo < 0.755)) Vs = Vo/28.735632183908;
      if ((Vo >= 0.755)&&(Vo < 0.766)) Vs = Vo/28.6629001883239;
      if ((Vo >= 0.766)&&(Vo < 0.778)) Vs = Vo/28.5555555555556;
      if ((Vo >= 0.778)&&(Vo < 0.791)) Vs = Vo/28.5974499089253;
      if ((Vo >= 0.791)&&(Vo < 0.803)) Vs = Vo/28.5663082437276;
      if ((Vo >= 0.803)&&(Vo < 0.825)) Vs = Vo/28.5361552028219;
      if ((Vo >= 0.825)&&(Vo < 0.837)) Vs = Vo/28.5069444444444;
      if ((Vo >= 0.837)&&(Vo < 0.848)) Vs = Vo/28.4102564102564;
      if ((Vo >= 0.848)&&(Vo < 0.858)) Vs = Vo/28.3838383838384;
      if ((Vo >= 0.858)&&(Vo < 0.872)) Vs = Vo/28.2918739635158;
      if ((Vo >= 0.872)&&(Vo < 0.894)) Vs = Vo/28.1904761904762;
      if ((Vo >= 0.894)&&(Vo < 0.905)) Vs = Vo/28.1377151799687;
      if ((Vo >= 0.905)&&(Vo < 0.915)) Vs = Vo/28.0555555555556;
      if ((Vo >= 0.915)&&(Vo < 0.928)) Vs = Vo/28.0669710806697;
      if ((Vo >= 0.928)&&(Vo < 0.939)) Vs = Vo/28.048048048048;
      if (Vo >= 0.939) Vs = Vo/28.0296296296296;

      T = (Vs*(100 + 1)*(100 + 1))/(12*100*0.00385);
      //T = (VS*(k+1)*(k+1))/(Vin*k*alpha);

      console.log("Vo = " + Vo.toPrecision(4) + " V, Vs = " + (1000*Vs).toPrecision(4) + 
      " mV, T = " + T.toPrecision(3) + " ºC");
      
  }
